import { createAsyncThunk } from "@reduxjs/toolkit";
import { fetchTemperaturProzessorService } from "@/services/fetchTemperaturProzessorService";

export const getTemperaturProzessorThunk = createAsyncThunk(
  "temperaturProzessor/fetch",
  async (typ: "DIA0" | "DIA1" | "DIA2", thunkAPI) => {
    try {
      const data = await fetchTemperaturProzessorService(typ);
      return { typ, data };
    } catch (error) {
      console.error("Fehler in getTemperaturProzessorThunk:", error);
      return thunkAPI.rejectWithValue(
        "Fehler beim Laden der Prozessor-Temperaturdaten"
      );
    }
  }
);
